import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:krow/core/presentation/gen/assets.gen.dart';
import 'package:krow/core/presentation/styles/kw_text_styles.dart';
import 'package:krow/core/presentation/styles/theme.dart';

class SignNoticeWidget extends StatelessWidget {
  const SignNoticeWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.end,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Row(
          children: [
            Assets.images.icons.edit.svg(),
            const Gap(6),
            const Text(
              'Tap to Sign',
              style: AppTextStyles.bodyMediumMed,
            )
          ],
        ),
        const Gap(12),
        const Divider(
          height: 1,
          color: AppColors.grayTintStroke,
        ),
      ],
    );
  }
}
